Skip to content
Easy API for iOS Contacts
Objective-C
Find file
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Failed to load latest commit information.
DLXContact.xcodeproj
DLXContact
DLXContactTests
.gitignore
LICENSE.txt
README.md

README.md

Easy API for iOS Contacts

Requirements

The code uses ARC, which requires: Xcode 4.2 or newer and iOS 4 and newer.

Installation

Copy DLXContact.h and DLXContact.m to your project.

Usage

    DLXContact* contact = [[DLXContact alloc] init];
    contact.firstName = @"Reginald";
    contact.lastName = @"Cousins";
    contact.homeEmail = @"bubbles@hotmail.com";
    contact.githubUsername = @"bubbs";
    ABRecordRef person = contact.ABRecord;

see DLXContact.h for full API.

License

Licensed under the MIT License

see LICENSE.txt

Something went wrong with that request. Please try again.